News [ 386.3_Alpha Build(s) ] Testing available build(s)

  • ATTENTION! As of November 1, 2020, you are not able to reply to threads 6 months after the thread is opened if there are more than 500 posts in the thread.
    Threads will not be locked, so posts may still be edited by their authors.
    Just start a new thread on the topic to post if you get an error message when trying to reply to a thread.

RMerlin

Asuswrt-Merlin dev
Right but nothing changed. I also tried to re-set it up and each time it just says connecting. I then tried a different VPN VPN.Asia Same error.
And nothing was changed in the OpenVPN code. The error message is pretty straightforward - your login is getting rejected by your provider. Check that your provider hasn't changed something with their login process (some providers switched from the main login to forcing their users to use a username/password pair that has to be generated through their portal), or that your subscription hasn't expired.
 

Kingp1n

Very Senior Member
Right but nothing changed. I also tried to re-set it up and each time it just says connecting. I then tried a different VPN VPN.Asia Same error.
This is an alpha build...make a backup of the stable build and you should reset after upgrading to the alpha.
 

ComputerSteve

Regular Contributor
And nothing was changed in the OpenVPN code. The error message is pretty straightforward - your login is getting rejected by your provider. Check that your provider hasn't changed something with their login process (some providers switched from the main login to forcing their users to use a username/password pair that has to be generated through their portal), or that your subscription hasn't expired.
SO maybe it is something with the provider.. Switched to my backup VPN which is VPNSecure & it seems to be working.. Question what is the default settings for the System Log? Is it Info & Debug / Or Notice & Debug?
 

maxbraketorque

Very Senior Member
I've been on the first alpha1 for about a week with no issues. Decided to try the second alpha1 with updated wireless drivers, and my AC86U AP (not Mesh node) issued a kernel message after the update that appears to indicate an error, but after a hard reboot, the message did not reappear. No kernel message when I updated my main AC86U. Both devices appear to be working fine thus far.
 

FelixGV

Occasional Visitor
And nothing was changed in the OpenVPN code. The error message is pretty straightforward - your login is getting rejected by your provider. Check that your provider hasn't changed something with their login process (some providers switched from the main login to forcing their users to use a username/password pair that has to be generated through their portal), or that your subscription hasn't expired.
My RT-AX-86U router has the same issue. I have 386.2_4 installed. I'm using NordVPN and NextDNS. Sometimes the router hangs out of being able to connect to NordVPN. I do not think it's an error when entering the credentials. After turning VPN access on and off several times, the router ends up logging in. I think there is something that interferes with the validation of the credentials, but I don't know what it is ... I have noticed that this usually happens after resetting the router. However, I can access to NordVPN from the android app or a PC with my credentials...
 

JIPG

Regular Contributor
It's not a new GPL, it's just updated wireless drivers. GPL releases are currently on hold while some things get sorted out. (it's complicated).
Hello RMerlin. As the new GPL is to be waited for some time and the new wireless drivers solves a security issue, do you intend to release a new intermediate FW version (not alpha) after the necessary testing, or will you follow the typical development schedule?
 

ComputerSteve

Regular Contributor
My RT-AX-86U router has the same issue. I have 386.2_4 installed. I'm using NordVPN and NextDNS. Sometimes the router hangs out of being able to connect to NordVPN. I do not think it's an error when entering the credentials. After turning VPN access on and off several times, the router ends up logging in. I think there is something that interferes with the validation of the credentials, but I don't know what it is ... I have noticed that this usually happens after resetting the router. However, I can access to NordVPN from the android app or a PC with my credentials...
I've noticed that also.
 

RMerlin

Asuswrt-Merlin dev
Hello RMerlin. As the new GPL is to be waited for some time and the new wireless drivers solves a security issue, do you intend to release a new intermediate FW version (not alpha) after the necessary testing, or will you follow the typical development schedule?
I plan on issuing a release to include the security fix. I haven't decided yet if it will also include the other changes that are currently in the 386.3 alpha, or if I will just backport the driver fix to 386.2_x and issue a point release. For now I'm waiting to get fixes for the two missing models.
 

RMerlin

Asuswrt-Merlin dev
My RT-AX-86U router has the same issue. I have 386.2_4 installed.
Failure to connect can occur for a number of reason. This other user had an error message stating that his username/password was rejected. Check your system log to determine if it's really the same problem, or something completely different.
 

XIII

Very Senior Member
Unable to install RT-AC86U_386.3_alpha1-gb5bff52d3d_cferom_ubi.w on my AC86U (currently running 386.3 alpha 1 #gedfbfacce8):

Code:
Firmware upgrade unsuccessful. This may result from incorrect image or error transmission. Please check the version of firmware and try again.

The SHA-256 checksum seems OK though... (5e576ea838eda5c86245bea8bf895323a6980850d145e98b70668288c12480a4)

EDIT: I forgot to unmount the (Entware) USB drive... (This has happened before; but wasn't the error message different then?)
 
Last edited:

kernol

Very Senior Member
Unable to install RT-AC86U_386.3_alpha1-gb5bff52d3d_cferom_ubi.w on my AC86U (currently running 386.3 alpha 1 #gedfbfacce8):

Code:
Firmware upgrade unsuccessful. This may result from incorrect image or error transmission. Please check the version of firmware and try again.

The SHA-256 checksum seems OK though... (5e576ea838eda5c86245bea8bf895323a6980850d145e98b70668288c12480a4)

EDIT: I forgot to unmount the (Entware) USB drive... (This has happened before; but wasn't the error message different then?)
On my RT-AC86U's [now retired in favour of RT-AX86U's] - I never once succeeded with a firmware upgrade without issues if I failed to first eject USB and ensure that all USB dependent apps had closed successfully - judged by a big drop in consumed RAM. On occasion even ejecting the USB was not good enough - and had to disable JFFS scripts under Admin Tab then reboot without the USB - then flash firmware.
 

shabbs

Senior Member
Last edited:

MoonPie2000

Occasional Visitor
I am confused so is the 'fragattach' patch in the latest alpha or just in the release? If the 'fragattach' patch is not in the alpha do i need to be concerned enough to switch back to the release version? Also can i do a 'dirty' switch from alpha to release if needed? Sorry for so many questions but thanks for all the answers.
 

shabbs

Senior Member
The most recent 386.3 alpha's have the FragAttack with a couple of builds missing. The new Release build also has it as per the release notes:

386.3 (xx-xxx-xxxx)
- UPDATED: chart.js to 2.9.4.
- UPDATED: tor to 0.4.5.8.
- UPDATED: nano to 5.7.
- UPDATED: curl to 7.76.1.
- UPDATED: dnsmasq to 2.85-openssl.
- FIXED: Fragattack security issue (RT-AX68U/RT-AX86U not patched yet)

386.2_6 (6-June-2021)

- UPDATED: chart.js to 2.9.4.
- UPDATED: tor to 0.4.5.8.
- UPDATED: root certificate bundle to June 5th 2021.
- FIXED: Fragattack security issues
 

MoonPie2000

Occasional Visitor
sorry I missed the fixed i usually read that to make sure i dont do what i just did - i will administer 50 lashes to myself for not RTRN. Thanks for not hammering on me to much :)
 

Latest threads

Sign Up For SNBForums Daily Digest

Get an update of what's new every day delivered to your mailbox. Sign up here!
Top